Subject: linux-next: manual merge of the v4l-dvb tree with the v4l-dvb-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 9 Jan 2020 11:10:50 +1100

Hi all,

Today's linux-next merge of the v4l-dvb tree got a conflict in:

  drivers/media/usb/pulse8-cec/pulse8-cec.c

between commit:

  21d116949e95 ("Revert "media: pulse8-cec: fix lost cec_transmit_attempt_done() call"")

from the v4l-dvb-fixes tree and commit:

  c4e8f760581b ("media: pulse8-cec: fix lost cec_transmit_attempt_done() call")

and some other commits from the v4l-dvb tree.  The conflicts arise
mostly because the above commit was cherry-picked into Linus' tree
(before being reverted above).

I fixed it up (I just used the vl4-dvb tree version on the assumption that
you will fix it up properly) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell